#!/bin/bash 
################################################# 
# ETHERNET SCRIPT GENERATOR
# TODO:
#################################################
export MX_DB_PATH=/dev/shm/snmp.db
export MX_SCRIPT_PATH=/etc/mxAgent/scripts

# Please use these predefined variable
. $MX_SCRIPT_PATH/mx_global.sh
. $MX_SCRIPT_PATH/snmp/global.sh
table=$mx_system_watchdog_table
gb_debug_enable=0
gb_print_enable=0

#################################################
# STARTING POINT:
#################################################

moxawdt_timeout=`cat /sys/module/moxa_v2100_wdt/parameters/timeout`
watchdog_pid=`pidof watchdog`

if [ "$watchdog_pid" = "" ]; then
	moxawdt_watchdogStatus=2;
else
	moxawdt_watchdogStatus=1;
fi

gb_debug "watchdogPeriod=$moxawdt_timeout"
gb_debug "watchdogStatus=$moxawdt_watchdogStatus"
gb_sql_query "UPDATE $table set watchdogPeriod='$moxawdt_timeout', watchdogStatus='$moxawdt_watchdogStatus'"

